<?php
// index.php

// Iniciar la sesión de PHP si aún no está iniciada
if (session_status() === PHP_SESSION_NONE) {
    session_start();
}
// y maneja la redirección a maintenance.php si falla.
include_once __DIR__ . '/db/db_connection.php';

// Verificar si el usuario ha iniciado sesión.
// La variable 'loggedin' se establece en true en login.php si la autenticación es exitosa.
if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] === true) {
    // Si el usuario está logueado, redirigir al dashboard.
    header("Location: /dashboard");
    exit;exit(); // Es crucial usar exit() después de un header Location para detener la ejecución.
} else {
    // Si el usuario no está logueado, redirigir a la página de login.
    header("Location: /login");
    exit;exit(); // Es crucial usar exit() después de un header Location para detener la ejecución.
}
?>